> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read all accounts

> This endpoint reads all accounts.



## OpenAPI

````yaml /openapi/api-production.yaml get /accounts
openapi: 3.1.0
info:
  version: 1.0.0
  title: Lumx API
  description: >-
    A cross-border banking API with instant settlements and unmatched liquidity,
    powered by stablecoins.
servers:
  - url: https://api.lumx.io
  - url: https://api-sandbox.lumx.io
security: []
paths:
  /accounts:
    get:
      tags:
        - Accounts
      summary: Read all accounts
      description: This endpoint reads all accounts.
      parameters:
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
          description: Number of accounts to return per page.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: >-
            Cursor for pagination. Use the nextCursor or previousCursor from the
            previous response to get the next or previous page.
        - name: customerId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Filter accounts by customer's unique identifier.
          example: 768d6aac-627e-44e8-aabd-d51d10f59c02
      responses:
        '200':
          description: Accounts successfully retrieved.
          content:
            application/json:
              examples:
                Accounts:
                  $ref: '#/components/examples/AccountArrayExample'
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: An array containing all accounts.
                    items:
                      $ref: '#/components/schemas/AccountArrayResponse'
                  pagination:
                    type: object
                    description: Pagination metadata for the response.
                    properties:
                      size:
                        type: integer
                        description: Number of items per page.
                        example: 25
                      total:
                        type: integer
                        description: Total number of items available.
                        example: 3
                      hasNextPage:
                        type: boolean
                        description: Whether more items are available after this page.
                        example: false
                      hasPreviousPage:
                        type: boolean
                        description: Whether items are available before this page.
                        example: false
                      nextCursor:
                        type: string
                        format: uuid
                        nullable: true
                        description: >-
                          Cursor to fetch the next page. `null` when
                          `hasNextPage` is false.
                        example: null
                      previousCursor:
                        type: string
                        format: uuid
                        nullable: true
                        description: >-
                          Cursor to fetch the previous page. `null` when
                          `hasPreviousPage` is false.
                        example: null
      security:
        - apiKey: []
components:
  examples:
    AccountArrayExample:
      value:
        data:
          - id: d06d342c-629a-4d99-a26f-34e8ea528403
            customerId: 768d6aac-627e-44e8-aabd-d51d10f59c02
            status: ACTIVE
            currency: EUR
            createdAt: '2026-05-13T20:49:13.236Z'
            updatedAt: '2026-05-14T13:55:15.418Z'
          - id: af04e979-360a-428a-84e6-cbd8ffc4942b
            customerId: 768d6aac-627e-44e8-aabd-d51d10f59c02
            status: ACTIVE
            currency: USD
            createdAt: '2026-05-13T20:49:13.236Z'
            updatedAt: '2026-05-14T13:55:15.567Z'
          - id: 8412f484-32fe-418f-80d1-99eb1b3ba7f3
            customerId: 768d6aac-627e-44e8-aabd-d51d10f59c02
            status: ACTIVE
            currency: BRL
            createdAt: '2026-05-13T20:49:13.236Z'
            updatedAt: '2026-05-14T13:55:15.418Z'
        pagination:
          size: 25
          total: 3
          hasNextPage: false
          hasPreviousPage: false
          nextCursor: null
          previousCursor: null
  schemas:
    AccountArrayResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Account's unique identifier.
          example: d06d342c-629a-4d99-a26f-34e8ea528403
        customerId:
          type: string
          format: uuid
          description: Customer's unique identifier.
          example: 768d6aac-627e-44e8-aabd-d51d10f59c02
        status:
          type: string
          description: Account's verification status.
          enum:
            - PROVISIONING
            - RFI
            - ACTIVE
            - CLOSED
          example: ACTIVE
        currency:
          type: string
          description: Account's currency.
          enum:
            - BRL
            - USD
            - EUR
            - MXN
          example: EUR
        createdAt:
          type: string
          format: date-time
          description: Creation date and time (UTC).
          example: '2026-05-13T20:49:13.236Z'
        updatedAt:
          type: string
          format: date-time
          description: Last update date and time (UTC).
          example: '2026-05-14T13:55:15.418Z'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Bearer authentication header on the format `Bearer <API_KEY>`.

````